//taken from q3base folder scripts shader
models/mapobjects/gratelamp/gratetorch2b
{
    cull disable
    
        {
                map models/mapobjects/gratelamp/gratetorch2b.tga
                alphaFunc GE128
		depthWrite
		rgbGen vertex
        }
}

models/mapobjects/tree2/branch2
{
  surfaceparm nolightmap
  surfaceparm trans	
  surfaceparm nomarks	
  cull none
  sort 10
	{
		clampmap models/mapobjects/tree2/branch2.tga
		blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR        
	}
}


models/mapobjects/wallhead/femhead
{
        deformVertexes wave 100 sin 0 .7 0 .2
        //deformVertexes wave 100 sin 0 1 1 .1
        cull disable

        {
                map models/mapobjects/wallhead/femhead3.tga
                rgbGen vertex
        }
	{
//animMap 0.5 models/mapobjects/wallhead/femhead4.tga
//models/mapobjects/wallhead/femhead2.tga
                map models/mapobjects/wallhead/femhead4.tga
		blendFunc	GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen	wave sin 0 1 1 .1
// alphaGen	wave triangle 0 .7 0 .2
                rgbGen vertex
	}	
	
}


//from a french guy about making fur texture usable for grass "real" looking
//i work hard on this one to understand
textures/_sgisland_b1/grass_base
{
	q3map_cloneshader textures/_sgisland_b1/grass_fur
	surfaceparm grass
	{
		map $lightmap
	}
	{
		map textures/_sgisland_b1/grass_base.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

// ------------------------------------------------------------------------------
// fur texture
// ------------------------------------------------------------------------------
textures/_sgisland_b1/grass_fur
{
	// remplacez texture_fur.q3map.tga par le nom de votre texture
	q3map_lightimage textures/_sgisland_b1/grass_fur.q3map.tga
	
	// On ne touche pas !
	q3map_notjunc
	q3map_nonplanar
	q3map_bounce 0.0
	q3map_shadeangle 120

	// format: q3map_fur <layers> <offset> <fade>
	// format: q3map_fur <nombre de couches> <hauteur> <adoucissement>
	// <nombre de couches> Augmentez/diminuez cette valeur si 
	// texture_fur.tga est respectivement plus opaque/transparente
	// <hauteur> Hauteur de la fourrure.
	// <adoucissement> plus la valeur est leve, plus la fourrure sera floue
	q3map_fur 8 1.25 0.1
	
	surfaceparm trans
	surfaceparm pointlight
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm noimpact
	
	// cull none
	nomipmaps
	
	{
		map textures/_sgisland_b1/grass_fur.tga
		//alphaFunc GE128
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
}

textures/_sgisland_b1/sgsky
{ 
qer_editorimage textures/_sgisland_b1/sgsky1.tga 
q3map_lightRGB 0.923568 0.959106 1.000000
q3map_skylight 100 4
surfaceparm sky 
surfaceparm noimpact
surfaceparm nodlight
q3map_lightmapFilterRadius 0 8
q3map_sunExt 1.000000 0.997119 0.857641 1100 120 35 2 2
surfaceparm nolightmap
q3map_nolightmap
skyparms env/sgskybox4/sgsky4 - - 
}

//For sky in water in island map
//crap must be redone by something else
textures/_sgisland_b1/sg_watersky
{
	qer_editorimage textures/null_beach/sand_3.tga
	{
		map textures/null_beach/sand_3.tga
	}
	surfaceparm nodlight
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm noimpact
}

textures/_sgisland_b1/trevift
{
	qer_editorimage textures/_sgisland_b1/trevift.jpg
	deformVertexes wave 5 sin .5 .5 .1 0.1
	qer_trans 0.6
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
	qer_nocarve
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	cull disable
	{
		map textures/_sgisland_b1/trevift.jpg
		blendFunc GL_dst_color GL_one
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}
}

//cut and paste from wily duck watercaulk, just changed texture in editor
textures/_sgisland_b1/sg_watercaulk
{
	qer_editorimage textures/liquids/clear_ripple3.tga
	qer_trans 0.3
	qer_nocarve
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm water
	surfaceparm noimpact
}

textures/_sgisland_b1/water_fount
{
		qer_editorimage textures/liquids/clear_ripple3.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
	
		cull disable
		//deformVertexes wave 40 sin 4 2 .2 0.2	
		{ 
			map textures/liquids/pool3d_5.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 1.8 0 1.8 1 1 2
			tcmod scroll -.05 .001
		}
	
		{ 
			map textures/liquids/pool3d_6.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 0 1.8 1 1.8 2 1
			tcmod scroll .025 -.001
		}

		{ 
			map textures/liquids/pool3d_3.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .25 .8
			tcmod scroll .001 .025
		}
	
		{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity		
		}
}


textures/_sgisland_b1/clear_ripple3b
{
		qer_editorimage textures/liquids/clear_ripple3.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
		//q3map_lightimage textures/liquids/pool2.jpg
		//
		cull disable
		deformVertexes wave 40 sin 8 12 .1 .1	
		{ 
			map textures/liquids/pool3d_5.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 1.8 0 1.8 1 1 2
			tcmod scroll -.01 .001
		}
	
		{ 
			map textures/liquids/pool3d_6.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 0 1.8 1 1.8 2 1
			tcmod scroll .01 -.001
		}

		{ 
			map textures/liquids/pool3d_3.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .25 .8
			tcmod scroll .001 .01
		}
	
		{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity		
		}
 		{
			map textures/_sgisland_b1/pool2b.jpg
			blendFunc filter
		}
 		{
			map textures/_sgisland_b1/pool2b.jpg
			blendFunc add
		}


}

textures/_sgisland_b1/InvLadder
{
	qer_editorimage textures/_sgisland_b1/GoldBricks.jpg
	qer_trans 0.20
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm playerclip
	surfaceparm nodraw
	surfaceparm ladder
}

textures/_sgisland_b1/isfogunder
{
        qer_editorimage textures/_sgisland_b1/GoldBricks.jpg
	qer_trans 0.20
	surfaceparm	fog
	surfaceparm	trans
        surfaceparm nodraw
	surfaceparm	nonsolid
	surfaceparm	nolightmap
	fogparms ( .9 .9 .95 ) 1024
}

textures/_sgisland_b1/isfogwater
{
          qer_editorimage textures/_sgisland_b1/GoldBricks.jpg
	  qer_trans 0.20
          surfaceparm nodraw
	  surfaceparm trans
          surfaceparm nonsolid
          surfaceparm fog
          fogparms ( .56 .66 .96 ) 2000
}

textures/_sgisland_b1/isfogwater2
{
          qer_editorimage textures/_sgisland_b1/GoldBricks.jpg
	  qer_trans 0.20
          surfaceparm nodraw
	  surfaceparm trans
          surfaceparm nonsolid
          surfaceparm fog
          fogparms ( .56 .66 .96 ) 2000
	  deformVertexes wave 40 sin 8 12 .1 .1
}

textures/_sgisland_b1/isfogwatersky
{
          qer_editorimage textures/_sgisland_b1/GoldBricks.jpg
	  qer_trans 0.20
          surfaceparm nodraw
	  surfaceparm trans
          surfaceparm nonsolid
          surfaceparm fog
          fogparms ( 1 1 1 ) 128
}

//***************
//****Terrain****
//***************
//Phong Shader
//***************
//Great thanks to Keres: he gave to me the initial phong shaders, i modified now but without it
//it won't exist today.

textures/_sgisland_b1/terrain_rock1
{
	qer_editorimage textures/_sgisland_b1/rc_rock3_lichen512.jpg
	q3map_lightmapMergable
	q3map_shadeangle 120
	q3map_nonplanar
	q3map_lightmapaxis z
	//q3map_texturesize 1024 1024 
	//q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	{
		map textures/_sgisland_b1/rc_rock3_lichen512.jpg
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		RgbGen identity
	}
}

textures/_sgisland_b1/terrain_rock2
{
	qer_editorimage textures/bbqmines/stone57.jpg
	q3map_lightmapMergable
	q3map_shadeangle 120
	q3map_nonplanar
	q3map_lightmapaxis z
	q3map_texturesize 1024 1024 
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	{
		map textures/bbqmines/stone57.jpg
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		RgbGen identity
	}
}

textures/_sgisland_b1/terrain_sand1
{
	qer_editorimage textures/_sgisland_b1/sand512.jpg
	q3map_lightmapMergable
	q3map_shadeangle 120
	q3map_nonplanar
	q3map_lightmapaxis z
	//q3map_texturesize 512 512 
	//q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	{
		map textures/_sgisland_b1/sand512.jpg
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		RgbGen identity
	}
}

textures/_sgisland_b1/terrain_sand2
{
	qer_editorimage textures/_sgisland_b1/sandwet.jpg
	q3map_lightmapMergable
	q3map_shadeangle 120
	q3map_nonplanar
	q3map_lightmapaxis z
	q3map_texturesize 256 256 
	q3map_tcGen ivector ( 128 0 0 ) ( 0 128 0 )
	{
		map textures/_sgisland_b1/sandwet.jpg
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		RgbGen identity
	}
}

textures/_sgisland_b1/terrain_sand3
{
	qer_editorimage textures/_sgisland_b1/terrain512allsand512_5.jpg
	q3map_nonplanar
	q3map_shadeangle 120
	q3map_lightmapMergable
	q3map_lightmapaxis z
	//q3map_texturesize 512 512 
	//q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	{
		map textures/_sgisland_b1/terrain512allsand512_5.jpg
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		//blendFunc   GL_DST_COLOR   GL_SRC_COLOR
		tcGen lightmap
		RgbGen identity
	}
}

textures/_sgisland_b1/terrain_sand4
{
	qer_editorimage textures/null_beach/sand015.jpg
	q3map_nonplanar
	q3map_shadeangle 120
	q3map_lightmapMergable
	q3map_lightmapaxis z
	q3map_texturesize 256 256 
	q3map_tcGen ivector ( 128 0 0 ) ( 0 128 0 )
	{
		map textures/null_beach/sand015.jpg
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		RgbGen identity
	}
}

textures/_sgisland_b1/terrain_sand5
{
	qer_editorimage textures/null_beach/sand_3.tga
	q3map_nonplanar
	q3map_shadeangle 120
	q3map_lightmapMergable
	q3map_lightmapaxis z
	q3map_texturesize 256 256 
	q3map_tcGen ivector ( 128 0 0 ) ( 0 128 0 )
	{
		map textures/null_beach/sand_3.tga
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		RgbGen identity
	}
}

textures/_sgisland_b1/terrain_dirt1
{
	qer_editorimage textures/evil_1/bdirt2.jpg
	q3map_nonplanar
	q3map_shadeangle 120
	q3map_lightmapMergable
	q3map_lightmapaxis z
	q3map_texturesize 256 256 
	q3map_tcGen ivector ( 128 0 0 ) ( 0 128 0 )
	{
		map textures/evil_1/bdirt2.jpg
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		RgbGen identity
	}
}

textures/_sgisland_b1/terrain_terrain512tosand512
{
	qer_editorimage textures/_sgisland_b1/terrain512allsand512_6.jpg
	q3map_nonplanar
	q3map_shadeangle 120
	q3map_lightmapMergable
	q3map_lightmapaxis z
	//q3map_texturesize 512 512 
	//q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	{
		map textures/_sgisland_b1/terrain512allsand512_6.jpg
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		RgbGen identity
	}
}

textures/_sgisland_b1/terrain_terrain512tosand512_9
{
	qer_editorimage textures/_sgisland_b1/terrain512allsand512_9.jpg
	q3map_nonplanar
	q3map_shadeangle 120
	q3map_lightmapMergable
	q3map_lightmapaxis z
	//q3map_texturesize 512 512 
	//q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	{
		map textures/_sgisland_b1/terrain512allsand512_9.jpg
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		RgbGen identity
	}
}

textures/_sgisland_b1/terrain_terrain512tosand512_3
{
	qer_editorimage textures/_sgisland_b1/terrain512allsand512_3.jpg
	q3map_nonplanar
	q3map_shadeangle 120
	q3map_lightmapMergable
	q3map_lightmapaxis z
	//q3map_texturesize 512 512 
	//q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	{
		map textures/_sgisland_b1/terrain512allsand512_3.jpg
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		RgbGen identity
	}
}

textures/_sgisland_b1/terrain_terrain512tosand512_4
{
	qer_editorimage textures/_sgisland_b1/terrain512allsand512_4.jpg
	q3map_nonplanar
	q3map_shadeangle 120
	q3map_lightmapMergable
	q3map_lightmapaxis z
	//q3map_texturesize 512 512 
	//q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	{
		map textures/_sgisland_b1/terrain512allsand512_4.jpg
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		RgbGen identity
	}
}


textures/_sgisland_b1/terrain_sand512toterrain512_1
{
	qer_editorimage textures/_sgisland_b1/sand512allterrain512_1.jpg
	q3map_nonplanar
	q3map_shadeangle 120
	q3map_lightmapMergable
	q3map_lightmapaxis z
	//q3map_texturesize 512 512 
	//q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	{
		map textures/_sgisland_b1/terrain512allsand512_1.jpg
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		RgbGen identity
	}
}

textures/_sgisland_b1/terrain_rocklichen512terrain512
{
	qer_editorimage textures/_sgisland_b1/rocklichen512terrain512.jpg
	q3map_nonplanar
	q3map_shadeangle 120
	q3map_lightmapMergable
	q3map_lightmapaxis z
	//q3map_texturesize 512 512 
	//q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	{
		map textures/_sgisland_b1/rocklichen512terrain512.jpg
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		RgbGen identity
	}
}

//For rotating stuff that do not need a light/shadow calculate
textures/_sgisland_b1/foiledagainnl
{	
	qer_editorimage textures/_sgisland_b1/foiledagain.jpg
	surfaceparm nolightmap
	surfaceparm detail
	{
		map textures/_sgisland_b1/foiledagain.jpg
	}
}

//For stuff over rotating jumppad the nonsolid texture
textures/_sgisland_b1/voile
{
	qer_editorimage textures/effects/sand.tga
	surfaceparm alphashadow
	cull none 
	nopicmip
	surfaceparm nonsolid
	{
		map textures/effects/sand.tga
		blendFunc GL_ZERO GL_ONE_MINUS_SRC_ALPHA
		tcmod scroll 0.0 -0.4
	}
}

//For rotating stuff bigjump the nonsolid texture
textures/_sgisland_b1/bigjump
{
	qer_editorimage textures/_sgisland_b1/kunzitev2.tga
	//cull none 
	//nopicmip
	surfaceparm nonsolid
	{
		map textures/_sgisland_b1/kunzitev2.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GT0
		depthWrite
		rgbGen identity
		tcmod rotate 180
	}
}

//label: in mappers we trust
textures/_sgisland_b1/shinmapperswetrust
{
	qer_editorimage textures/_sgisland_b1/inmapperswetrust.tga
	surfaceparm nonsolid
	{
		map textures/_sgisland_b1/inmapperswetrust.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GT0
		depthWrite
		rgbGen identity
	}
}

//label: WilyDuck was here
textures/_sgisland_b1/shWilyDuckWasHere
{
	qer_editorimage textures/_sgisland_b1/WilyDuckWasHere.tga
	surfaceparm nonsolid
	{
		map textures/_sgisland_b1/WilyDuckWasHere.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GT0
		depthWrite
		rgbGen identity
	}
}

//label: Thanks to FSK405 Fokker and Zoran
textures/_sgisland_b1/shthanksto
{
	qer_editorimage textures/_sgisland_b1/thanksto.tga
	surfaceparm nonsolid
	{
		map textures/_sgisland_b1/thanksto.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GT0
		depthWrite
		rgbGen identity
	}
}

//label: Label Fokker gave me from fsk405
textures/_sgisland_b1/shfsk405a
{
	qer_editorimage textures/_sgisland_b1/logooval.tga
	surfaceparm nonsolid
	{
		map textures/_sgisland_b1/logooval.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GT0
		depthWrite
		rgbGen identity
	}
}

//mirror
textures/_sgisland_b1/mirror
{
	qer_editorimage textures/_sgisland_b1/mirror.tga
	surfaceparm nolightmap
	portal
	{
		map textures/_sgisland_b1/mirror.tga
		blendfunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		depthWrite
	}      
}

//camera
textures/_sgisland_b1/portal_camera2
{
	qer_editorimage textures/_sgisland_b1/mirror.tga
	portal
	surfaceparm nolightmap

	{
		map textures/_sgisland_b1/screentelep.jpg
		blendFunc filter
		depthWrite
	}
	{
		map textures/_sgisland_b1/screentelep.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphagen portal 378
		rgbGen identityLighting	
	}
}

//arrow
textures/_sgisland_b1/sgarrow
{
	qer_editorimage textures/_sgisland_b1/arrow01.tga
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	cull none
	{
		animMap 10 textures/_sgisland_b1/arrow01.tga textures/_sgisland_b1/arrow02.tga textures/_sgisland_b1/arrow03.tga textures/_sgisland_b1/arrow04.tga textures/_sgisland_b1/arrow05.tga textures/_sgisland_b1/arrow06.tga textures/_sgisland_b1/arrow07.tga textures/_sgisland_b1/arrow08.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GT0
		depthWrite
		rgbGen identity
      		rgbGen wave square 0 1 0 2
	}	
	{
		animMap 10 textures/_sgisland_b1/arrow09.tga textures/_sgisland_b1/arrow10.tga textures/_sgisland_b1/arrow11.tga textures/_sgisland_b1/arrow12.tga textures/_sgisland_b1/arrow13.tga textures/_sgisland_b1/arrow11.tga textures/_sgisland_b1/arrow14.tga textures/_sgisland_b1/arrow15.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GT0
		depthWrite
		rgbGen identity
		rgbGen wave square 0 1 0.5 2
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/_sgisland_b1/sgmsgboard
{
	qer_editorimage textures/_sgisland_b1/mesg1.tga
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	{
		animMap 0.5 textures/_sgisland_b1/mesg1.tga textures/_sgisland_b1/mesg1.tga textures/_sgisland_b1/mesg1.tga textures/_sgisland_b1/mesg2.tga textures/_sgisland_b1/mesg2.tga textures/_sgisland_b1/mesg2.tga textures/_sgisland_b1/mesg3.tga textures/_sgisland_b1/mesg3.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GT0
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/_sgisland_b1/sglighthousebeam
{
	qer_editorimage textures/_sgisland_b1/lighthousebeam.tga
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	{
		animMap 8 textures/_sgisland_b1/lighthousebeam.tga textures/_sgisland_b1/lighthousebeam2.tga textures/_sgisland_b1/lighthousebeam.tga textures/_sgisland_b1/lighthousebeam.tga textures/_sgisland_b1/lighthousebeam.tga textures/_sgisland_b1/lighthousebeam.tga textures/_sgisland_b1/lighthousebeam2.tga textures/_sgisland_b1/lighthousebeam2.tga
		tcMod scale 1 .95
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GT0
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}